<?xml version="1.0" encoding="utf-8"?>
<config>
	<fieldset
		name="global"
		label="Global"
	>
		<field
			    name="pixel_cms_token"
			    label="Api Key"
			    type="text"
		/>
		<field
				name="pixel_cms_url"
				label="Url"
				type="text"
				default="https://cms.pixel-kraft.de"
		/>
		<field
			name="pixel_cms_version"
			label="Api Version"
			type="select"
			default="v1"
		>
			<option value="v1">V1</option>
		</field>
		<field name="cache"
			   type="radio"
			   default="1"
			   label="Cache"
			   description="Aktiviert das Caching"
			   class="btn-group btn-group-yesno"
		>
			<option value="1">JYES</option>
			<option value="0">JNO</option>
		</field>
	</fieldset>
	<fieldset
			name="maschines"
			label="Maschinen"
	>
		<field
				name="tracktorpool_apikey"
				label="Api Key"
				type="text"
		/>
		<field
				name="tracktorpool_customer_id"
				label="Id"
				type="text"
		/>
		<field
				name="tracktorpool_alias"
				label="Alias"
				type="text"
		/>
		<field
				name="tracktorpool_username"
				label="Benutzername"
				type="text"
		/>
		<field
				name="tracktorpool_password"
				label="Passwort"
				type="text"
		/>
        <field
                name="maschinen_datenblatt_logo"
                label="Datenblatt Logo"
                description="Leer Lassen wenn kein logo angezeigt werden soll"
                type="text"
        />
        <field
                name="maschinen_datenblatt_logo_size"
                label="Datenblatt Logo Breite in mm?"
                description="Standard ist 30"
                type="text"
        />
        <field name="maschinen_datenblatt_type"
               type="radio"
               default="default"
               label="Datenblatt Art"
        >
            <option value="default">Anbieter</option>
            <option value="custom">Eigenes</option>
        </field>
	</fieldset>
    <fieldset
        name="images"
        label="Bild Einstellungen"
    >
        <field
                name="pixelcms_images_thumb_size"
                label="Thumbnail Größe"
                type="number"
                min="100"
                max="2000"
                default="500"
        />
        <field
                name="pixelcms_images_preview_size"
                label="Lightbox Größe"
                type="number"
                min="500"
                max="3000"
                default="2000"
        />
        <field
                name="pixelcms_images_testimonial_size"
                label="Testimonial Größe"
                type="number"
                min="64"
                max="1000"
                default="128"
        />
    </fieldset>
    <fieldset
        name="galleries"
        label="Gallerie Einstellungen"
    >
        <field name="show_gallery_desc"
               type="radio"
               default="0"
               label="Gallerie Beschreibung anzeigen"
               class="btn-group btn-group-yesno"
        >
            <option value="1">JYES</option>
            <option value="0">JNO</option>
        </field>
    </fieldset>
</config>
